org.wildfly.swarm.config.remoting

## Class LocalOutboundConnection<T extends LocalOutboundConnection<T>>

- java.lang.Object
- - org.wildfly.swarm.config.remoting.LocalOutboundConnection<T>

-     public class LocalOutboundConnection<T extends LocalOutboundConnection<T>>
      extends Object

  Remoting outbound connection with an implicit local:// URI scheme.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LocalOutboundConnection.LocalOutboundConnectionResources` Child mutators for LocalOutboundConnection

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalOutboundConnection(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `String` | `outboundSocketBindingRef()` Name of the outbound-socket-binding which will be used to determine the destination address and port for the connection.
    `T` | `outboundSocketBindingRef(String value)` Name of the outbound-socket-binding which will be used to determine the destination address and port for the connection.
    `T` | `properties(List<Property> value)` Add all Property objects to this subresource
    `T` | `property(Property value)` Add the Property object to the list of subresources
    `T` | `property(PropertySupplier supplier)` Install a supplied Property object to the list of subresources
    `T` | `property(String childKey)` Create and configure a Property object to the list of subresources
    `T` | `property(String childKey, PropertyConsumer consumer)` Create and configure a Property object to the list of subresources
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `LocalOutboundConnection.LocalOutboundConnectionResources` | `subresources()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalOutboundConnection

          public LocalOutboundConnection(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public LocalOutboundConnection.LocalOutboundConnectionResources subresources()

    - #### properties

          public T properties(List<Property> value)

      Add all Property objects to this subresource
      Parameters:
        `value` - List of Property objects.
      Returns:
        this

    - #### property

          public T property(Property value)

      Add the Property object to the list of subresources
      Parameters:
        `value` - The Property to add
      Returns:
        this

    - #### property

          public T property(String childKey,
                            PropertyConsumer consumer)

      Create and configure a Property object to the list of subresources
      Parameters:
        `key` - The key for the Property resource
        `config` - The PropertyConsumer to use
      Returns:
        this

    - #### property

          public T property(String childKey)

      Create and configure a Property object to the list of subresources
      Parameters:
        `key` - The key for the Property resource
      Returns:
        this

    - #### property

          public T property(PropertySupplier supplier)

      Install a supplied Property object to the list of subresources

    - #### outboundSocketBindingRef

          public String outboundSocketBindingRef()

      Name of the outbound-socket-binding which will be used to determine the destination address and port for the connection.

    - #### outboundSocketBindingRef

          public T outboundSocketBindingRef(String value)

      Name of the outbound-socket-binding which will be used to determine the destination address and port for the connection.

Copyright © 2017 JBoss by Red Hat. All rights reserved.